using UnityEngine;

public class FreeMatchResultAnimationHandler : IResultAnimationHandler
{
	private readonly GameObject m_resultAnimationAgentObj;

	private readonly FreeMatchResultAnimationAgent m_resultAnimationAgentIns;

	public ResultAnimationAgent m_resultAnimationAgent => m_resultAnimationAgentIns;

	public FreeMatchResultAnimationHandler(BattleCamera battleCamera)
	{
		m_resultAnimationAgentObj = new GameObject();
		m_resultAnimationAgentIns = m_resultAnimationAgentObj.AddComponent<FreeMatchResultAnimationAgent>();
		m_resultAnimationAgentIns.GetComponent<FreeMatchResultAnimationAgent>().SetBattleCamera(battleCamera);
	}

	public void Destroy()
	{
		Object.Destroy(m_resultAnimationAgentObj);
	}
}
